Market Data

Get bounded outcome snapshots

GET
/orderbooks/outcomes

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Query Parameters

venueMarketOutcomeIds*array<>|
depth?integer
Range1 <= value <= 500

Response Body

200

application/json
  1. response
data*array<>
Itemsitems <= 100
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/orderbooks/outcomes?venueMarketOutcomeIds=string'
Example Response
{  "data": [    {      "snapshotChecksum": 0,      "venueMarketOutcomeId": "string",      "venueMarketId": "string",      "venue": "string",      "orderbook": {        "bids": [          {            "price": 0,            "size": 0          }        ],        "asks": [          {            "price": 0,            "size": 0          }        ]      },      "midpoint": 0,      "spread": 0,      "seq": 0,      "checksum": 0,      "timestamp": 0,      "tick": 0,      "markSource": "local"    }  ]}